Module: selenium-webdriver/remote
View Source

# class FileDetector

final

    webdriver.FileDetector
      └ FileDetector

A `webdriver.FileDetector` that may be used when running against a remote Selenium server.

When a file path on the local machine running this script is entered with `WebElement#sendKeys`, this file detector will transfer the specified file to the Selenium server's host; the sendKeys command will be updated to use the transfered file's path.

Note: This class depends on a non-standard command supported on the Java Selenium server. The file detector will fail if used with a server that only supports standard WebDriver commands (such as the ChromeDriver).

## Instance Methods

### handleFile(driver, filePath)code »

Overrides: webdriver.FileDetector

Parameters

driver`?`
filePath`?`